// Copyright 2016 Orus.io. All rights reserved.

package cmd

import (
	"github.com/spf13/cobra"
)

// initCmd represents the init command
var initCmd = &cobra.Command{
	Use:   "init",
	Short: "Initialize the Xbus database.",
	Long: `This command can be used to automatically create or update Xbus
configuration tables in a PostgreSQL database. It is now an alias for 'migrate'`,
	Run:              migrateCmd.Run,
	PersistentPreRun: preRunCheckCertCertDir,
}

func init() {
	RootCmd.AddCommand(initCmd)
}
